<!DOCTYPE html>
<html>    
 <head> <!-- Entête HTML --> 
   <meta charset="utf-8" />
   <title>Crédit</title>
 </head>
 <body>
 <?php
 define("WEB_EOL","<br/>");
 $Cap          = $_POST['Cap'] ; // On récupère les données
 $NbAn         = $_POST['NbAn'];
 $TauxAnnuel   = $_POST['TauxAnnuel']   ;
 $TauxAssAnnuel= $_POST['TauxAssAnnuel'];
 $Cap           = floatval($Cap); // On traite les données
 $NbAn          = intval($NbAn) ;
 $TauxAnnuel    = floatval($TauxAnnuel)   ;
 $TauxAssAnnuel = floatval($TauxAssAnnuel);
 $NbMois   = $NbAn*12 ; // On effectue les calculs
 $TauxM    = ($TauxAnnuel/100)/12;
 $calcul1  = $Cap*$TauxM         ;
 $calcul2  = pow((1+$TauxM),$NbMois);
 $calcul3  = $calcul2-1             ;
 $TauxAssM = ($TauxAssAnnuel/100)/12;
 $MensHA   = round(($calcul1*($calcul2/$calcul3)),2);
 $AssM     = round(($Cap*$TauxAssM),2);
 $MensAC   = $MensHA+$AssM            ;
 // -- Affichage de la mensualité --
 echo "Mensualit&eacute; Hors Ass:".$MensHA." &euro;".WEB_EOL;
 echo "Co&ucirc;t Assurance/mois :".$AssM." &euro;".WEB_EOL;
 echo "Mensualit&eacute; Ass Comp:".$MensAC." &euro;".WEB_EOL;
 ?>
 </body>
</html>
